unit Pic;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, CustSaveIt, AlmostSave, MDISaveIt, GenericSave;

type
  TPictureChild = class(TForm)
    Image1: TImage;
    MDIChildSaveIt1: TMDIChildSaveIt;
    procedure MDIChildSaveIt1DataLoad(Sender: TObject; FileName: String;
      var Success: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  PictureChild: TPictureChild;

implementation

{$R *.DFM}

procedure TPictureChild.MDIChildSaveIt1DataLoad(Sender: TObject;
  FileName: String; var Success: Boolean);
begin
  // Load Picture
  with Image1.Picture do
  begin
    LoadFromFile(FileName); // Load Picture From File

    // Size Form to Picture's Size
    ClientHeight := Height;
    ClientWidth  := Width;

    // Autosize Icon Files
    if MDIChildSaveIt1.FileTypeExt = 'ico' then
      Image1.Center := True;
  end;
end;

end.
